# EdFi.OdsApi.Sdk.Models.All.EdFiStudentAcademicRecordDiploma
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**DiplomaTypeDescriptor** | **string** | The type of diploma/credential that is awarded to a student in recognition of his/her completion of the curricular requirements. | 
**DiplomaAwardDate** | **DateTime?** | The month, day, and year on which the student met  graduation requirements and was awarded a diploma. | 
**AchievementCategoryDescriptor** | **string** | The category of achievement attributed to the learner. | [optional] 
**DiplomaLevelDescriptor** | **string** | The level of diploma/credential that is awarded to a student in recognition of his/her completion of the curricular requirements.        Minimum high school program        Recommended high school program        Distinguished Achievement Program. | [optional] 
**AchievementCategorySystem** | **string** | The system that defines the categories by which an achievement is attributed to the learner. | [optional] 
**AchievementTitle** | **string** | The title assigned to the achievement. | [optional] 
**Criteria** | **string** | The criteria for competency-based completion of the achievement/award. | [optional] 
**CriteriaURL** | **string** | The Uniform Resource Locator (URL) for the unique address of a web page describing the competency-based completion criteria for the achievement/award. | [optional] 
**CteCompleter** | **bool?** | Indicated a student who reached a state-defined threshold of vocational education and who attained a high school diploma or its recognized state equivalent or GED. | [optional] 
**DiplomaAwardExpiresDate** | **DateTime?** | Date on which the award expires. | [optional] 
**DiplomaDescription** | **string** | The description of diploma given to the student for accomplishments. | [optional] 
**EvidenceStatement** | **string** | A statement or reference describing the evidence that the learner met the criteria for attainment of the Achievement. | [optional] 
**ImageURL** | **string** | The Uniform Resource Locator (URL) for the unique address of an image representing an award or badge associated with the Achievement. | [optional] 
**IssuerName** | **string** | The name of the agent, entity, or institution issuing the element. | [optional] 
**IssuerOriginURL** | **string** | The Uniform Resource Locator (URL) from which the award was issued. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

