# EdFi.OdsApi.Sdk.Models.Profiles.EEM.MIEemEntityContactReadable
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | 
**EemEntityContactId** | **int?** | The EEMEntityContact identifier. | 
**EemEducationalEntityMasterReference** | [**MiEemEducationalEntityMasterReference**](MiEemEducationalEntityMasterReference.md) |  | [optional] 
**EemContactTypeDescriptor** | **string** | Indicates the type of the Contact listed for the Educational Entity. | [optional] 
**EemPersonalTitleDescriptor** | **string** | Denotes the personal title of the Educational Entity&#39;s Contact. | [optional] 
**ElectronicMailAddress** | **string** | The electronic mail (e-mail) of the EEM Contact. | [optional] 
**FaxNumber** | **string** | The EEM Contact&#39;s fax number. | [optional] 
**FaxNumberExt** | **string** | Extension of the EEM Contact&#39;s fax number. | [optional] 
**FirstName** | **string** | A name given to an individual at birth, baptism, or during another naming ceremony, or through legal change. | [optional] 
**GenerationCodeSuffix** | **string** | An appendage, if any, used to denote an individual&#39;s generation in his family (e.g., Jr., Sr., III). | [optional] 
**IsLeadAdministrator** | **bool?** | 1&#x3D; Yes / 0 &#x3D; No | [optional] 
**LastSurname** | **string** | The name borne in common by members of a family. | [optional] 
**MailingAddressApartmentRoomSuiteNumber** | **string** | The apartment, room, or suite number of the EEM Contact&#39;s mailing address. | [optional] 
**MailingAddressCity** | **string** | The name of the city in which the EEM Contact&#39;s mailing address is located. | [optional] 
**MailingAddressEffectiveDate** | **DateTime?** | The first date the EEM Contact&#39;s mailing address is valid. | [optional] 
**MailingAddressExpirationDate** | **DateTime?** | The last date the EEM Contact&#39;s mailing address is valid. | [optional] 
**MailingAddressPostalCode** | **string** | The five or nine digit zip code of the EEM Contact&#39;s mailing address. | [optional] 
**MailingAddressStateAbbreviationDescriptor** | **string** | The abbreviation for the state (within the United States) or outlying area in which the EEM Contact&#39;s mailing address is located. | [optional] 
**MailingAddressStreetNumberName** | **string** | The street number and street name or post office box number of the EEM Contact&#39;s mailing address. | [optional] 
**MiddleName** | **string** | A secondary name given to an individual at birth, baptism, or during another naming ceremony. | [optional] 
**PersonalTitlePrefix** | **string** | A prefix used to denote the title, degree, position, or seniority of the person. | [optional] 
**StaffClassificationDescriptor** | **string** | Represents the EEM Contact Type. | [optional] 
**TelephoneNumber** | **string** | The EEM Contact&#39;s telephone number. | [optional] 
**TelephoneNumberExt** | **string** | Extension of the EEM Contact&#39;s telephone number. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

