# EdFi.OdsApi.Sdk.Models.Profiles.SpecialEducationWithoutEarlyChildhood.MiStudentEducationOrganizationAssociationExtensionReadable
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**HomelessDescriptor** | **string** | (MI EXT) This characteristic is used to identify students who lack fixed, regular and adequate residence and to indicate the student&#39;s primary nighttime residence. Students who become homeless for any  period of time within the school year are eligible for all homeless services for the entire school year. | [optional] 
**StatusDescriptor** | **string** | (MI EXT) Indicates status (OneRoster users.status) of the Student. | [optional] 
**RaceAsOfDate** | **DateTime?** | (MI EXT) The date of the most recent change in Race. | [optional] 
**SchoolFoodServicesEligibilityAsOfDate** | **DateTime?** | (MI EXT) The date of the most recent change in SchoolFoodServicesEligibility. | [optional] 
**UserName** | **string** | (MI EXT) Indicates the Student username (OneRoster users.username) | [optional] 
**YearOfEntry** | **int?** | (MI EXT) The four-digit calendar year in which the student first attended school in the United States. | [optional] 
**MsdsRaceOrders** | [**List&lt;MiStudentEducationOrganizationAssociationMSDSRaceOrderReadable&gt;**](MiStudentEducationOrganizationAssociationMSDSRaceOrderReadable.md) | An unordered collection of studentEducationOrganizationAssociationMSDSRaceOrders. (MI EXT) Captures the racial group and order choice for MSDS. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

